<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\Hook\Adapter;

use Gls\GlsPoland\PrestaShop\Hook\HookDispatcherInterface;

final class HookDispatcher implements HookDispatcherInterface
{
    public function dispatch(string $name, array $parameters, int $shopId = null)
    {
        return \Hook::exec($name, $parameters, null, false, true, false, $shopId);
    }
}
